package jp.co.thinkit.equinox.hello.service;

import java.util.Hashtable;

import jp.co.thinkit.equinox.hello.ui.INotificationService;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceRegistration;

public class ServiceActivator implements BundleActivator {

	private ServiceRegistration registration;

	public void start(BundleContext context) throws Exception {
		System.out.println("Hello OSGi Service!");
		INotificationService service = new HelloNotificationService();
		registration = context.registerService(INotificationService.class.getName(), service, new Hashtable<Object, Object>());
	}

	public void stop(BundleContext context) throws Exception {
		registration.unregister();
		System.out.println("Goodbye OSGi Service.");
	}

}
